#!/bin/bash

# Script to general a pair of authentication keys for secure automatic login,
# so that you can use ssh with scripts.

# This script is compiled using information from
# http://www.linuxproblem.org/art_9.html, written by
# Mathias Kettner (info@mathias-kettner.de)

# Gary Perkins (1:393/31) gary.perkins@setxchat.net

HOST="remoteserver.foo"   # Replace with your remote host
USER="youruser"           # Replace with your login ID

echo 'Just hit enter a few times. Do not enter a passphrase:'
echo
ssh-keygen -t rsa
echo
echo 'Creating directory ~/.ssh on remote server.  Directory may already exist, which is OK.  Enter your password when prompted.'
echo
ssh user@host mkdir -p .ssh
echo 
echo 'Uploading your new key to remote host.  Enter password when prompted.'
echo
cat .ssh/id_rsa.pub | ssh user@host 'cat >> .ssh/authorized_keys'
echo
echo 'Now try logging in with ssh user@host.  If you still cannot log in automatically without being prompted, try the following, else Google is your friend.'
echo '  Put the public key in .ssh/authorized_keys2'
echo '  Change the permissions of .ssh to 700'
echo '  Change the permissions of .ssh/authorized_keys2 to 640'
echo
